<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns="http://schemas.xmlsoap.org/wsdl/" targetNamespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xsd:schema elementFormDefault="qualified" targetNamespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/">
      <xsd:import namespace="http://schemas.xmlsoap.org/soap/encoding/" />
      <xsd:import namespace="http://schemas.xmlsoap.org/wsdl/" />
      <xsd:complexType name="File">
        <xsd:all>
          <xsd:element name="Id" type="xsd:int" />
          <xsd:element name="BaseUrl" type="xsd:string" />
          <xsd:element name="FileDirectory" type="xsd:string" />
          <xsd:element name="FileName" type="xsd:string" />
          <xsd:element name="MimeType" type="xsd:string" />
          <xsd:element name="Checksum" type="xsd:string" />
          <xsd:element name="Size" type="xsd:decimal" />
          <xsd:element name="ScreenId" type="xsd:int" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="Files">
        <xsd:complexContent mixed="false">
          <xsd:restriction base="SOAP-ENC:Array">
            <xsd:attribute wsdl:arrayType="tns:File[]" ref="SOAP-ENC:arrayType" />
          </xsd:restriction>
        </xsd:complexContent>
      </xsd:complexType>
      <xsd:complexType name="SingleNews">
        <xsd:all>
          <xsd:element name="Id" type="xsd:int" />
          <xsd:element name="Title" type="xsd:string" />
          <xsd:element name="Content" type="xsd:string" />
          <xsd:element name="BaseUrl" type="xsd:string" />
          <xsd:element name="ImageDirectory" type="xsd:string" />
          <xsd:element name="ImageName" type="xsd:string" />
          <xsd:element name="ScreenId" type="xsd:int" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="News">
        <xsd:complexContent mixed="false">
          <xsd:restriction base="SOAP-ENC:Array">
            <xsd:attribute wsdl:arrayType="tns:SingleNews[]" ref="SOAP-ENC:arrayType" />
          </xsd:restriction>
        </xsd:complexContent>
      </xsd:complexType>
      <xsd:complexType name="Screen">
        <xsd:all>
          <xsd:element name="Id" type="xsd:int" />
          <xsd:element name="ScreenType" type="tns:ScreenType" />
          <xsd:element name="Title" type="xsd:string" />
          <xsd:element name="Abbr" type="xsd:string" />
          <xsd:element name="Ordering" type="xsd:int" />
          <xsd:element name="Version" type="xsd:int" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="Screens">
        <xsd:complexContent mixed="false">
          <xsd:restriction base="SOAP-ENC:Array">
            <xsd:attribute wsdl:arrayType="tns:Screen[]" ref="SOAP-ENC:arrayType" />
          </xsd:restriction>
        </xsd:complexContent>
      </xsd:complexType>
      <xsd:complexType name="CurrencyItem">
        <xsd:all>
          <xsd:element name="Abbr" type="xsd:string" />
          <xsd:element name="BaseUrl" type="xsd:string" />
          <xsd:element name="ImageDirectory" type="xsd:string" />
          <xsd:element name="ImageName" type="xsd:string" />
          <xsd:element name="SellingPrice" type="xsd:decimal" />
          <xsd:element name="BuyingPrice" type="xsd:decimal" />
          <xsd:element name="SellingDirection" type="xsd:string" />
          <xsd:element name="BuyingDirection" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="CurrencyItemsList">
        <xsd:complexContent mixed="false">
          <xsd:restriction base="SOAP-ENC:Array">
            <xsd:attribute wsdl:arrayType="tns:CurrencyItem[]" ref="SOAP-ENC:arrayType" />
          </xsd:restriction>
        </xsd:complexContent>
      </xsd:complexType>
      <xsd:complexType name="WeatherIcon">
        <xsd:all>
          <xsd:element name="BaseUrl" type="xsd:string" />
          <xsd:element name="FileDirectory" type="xsd:string" />
          <xsd:element name="FileName" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="WeatherIcons">
        <xsd:complexContent mixed="false">
          <xsd:restriction base="SOAP-ENC:Array">
            <xsd:attribute wsdl:arrayType="tns:WeatherIcon[]" ref="SOAP-ENC:arrayType" />
          </xsd:restriction>
        </xsd:complexContent>
      </xsd:complexType>
      <xsd:complexType name="SingleBottomBarNews">
        <xsd:all>
          <xsd:element name="NewsValue" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="BottomBarNews">
        <xsd:complexContent mixed="false">
          <xsd:restriction base="SOAP-ENC:Array">
            <xsd:attribute wsdl:arrayType="tns:SingleBottomBarNews[]" ref="SOAP-ENC:arrayType" />
          </xsd:restriction>
        </xsd:complexContent>
      </xsd:complexType>
      <xsd:complexType name="Department">
        <xsd:all>
          <xsd:element name="DepartmentId" type="xsd:int" />
          <xsd:element name="DepartmentName" type="xsd:string" />
          <xsd:element name="DepartmentAbbr" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="Departments">
        <xsd:complexContent mixed="false">
          <xsd:restriction base="SOAP-ENC:Array">
            <xsd:attribute wsdl:arrayType="tns:Department[]" ref="SOAP-ENC:arrayType" />
          </xsd:restriction>
        </xsd:complexContent>
      </xsd:complexType>
      <xsd:complexType name="appNeedsUpdateRequestType">
        <xsd:all>
          <xsd:element form="unqualified" name="AppLocalVersion" type="xsd:int" />
          <xsd:element form="unqualified" name="Token" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="appNeedsUpdateResponseType">
        <xsd:all>
          <xsd:element form="unqualified" name="Result" type="xsd:boolean" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="appUpdaterNeedsUpdateRequestType">
        <xsd:all>
          <xsd:element form="unqualified" name="AppUpdaterLocalVersion" type="xsd:int" />
          <xsd:element form="unqualified" name="Token" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="appUpdaterNeedsUpdateResponseType">
        <xsd:all>
          <xsd:element form="unqualified" name="Result" type="xsd:boolean" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getImageFilesRequestType">
        <xsd:all>
          <xsd:element form="unqualified" name="Token" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getImageFilesResponseType">
        <xsd:all>
          <xsd:element form="unqualified" name="Files" type="tns:Files" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getVideoFilesRequestType">
        <xsd:all>
          <xsd:element form="unqualified" name="Token" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getVideoFilesResponseType">
        <xsd:all>
          <xsd:element form="unqualified" name="Files" type="tns:Files" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getFlashFilesRequestType">
        <xsd:all>
          <xsd:element form="unqualified" name="Token" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getFlashFilesResponseType">
        <xsd:all>
          <xsd:element form="unqualified" name="Files" type="tns:Files" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getNewsRequestType">
        <xsd:all>
          <xsd:element form="unqualified" name="Token" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getNewsResponseType">
        <xsd:all>
          <xsd:element form="unqualified" name="News" type="tns:News" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getNewsDepartmentRequestType">
        <xsd:all>
          <xsd:element form="unqualified" name="Parameter" type="xsd:string" />
          <xsd:element form="unqualified" name="Token" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getNewsDepartmentResponseType">
        <xsd:all>
          <xsd:element form="unqualified" name="News" type="tns:News" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getScreensRequestType">
        <xsd:all>
          <xsd:element form="unqualified" name="Token" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getScreensResponseType">
        <xsd:all>
          <xsd:element form="unqualified" name="Screens" type="tns:Screens" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getAppConfigurationRequestType">
        <xsd:all>
          <xsd:element form="unqualified" name="Token" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getAppConfigurationResponseType">
        <xsd:all>
          <xsd:element form="unqualified" name="Configuration" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getWeatherIconsRequestType">
        <xsd:all>
          <xsd:element form="unqualified" name="Token" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getWeatherIconsResponseType">
        <xsd:all>
          <xsd:element form="unqualified" name="WeatherIcons" type="tns:WeatherIcons" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getCurrenciesRequestType">
        <xsd:all>
          <xsd:element form="unqualified" name="Token" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getCurrenciesResponseType">
        <xsd:all>
          <xsd:element form="unqualified" name="CurrencyItemsList" type="tns:CurrencyItemsList" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getCurrenciesConfigFileRequestType">
        <xsd:all>
          <xsd:element form="unqualified" name="Token" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getCurrenciesConfigFileResponseType">
        <xsd:all>
          <xsd:element form="unqualified" name="CurrencyConfigFile" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getBottomBarNewsRequestType">
        <xsd:all>
          <xsd:element form="unqualified" name="Token" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getBottomBarNewsResponseType">
        <xsd:all>
          <xsd:element form="unqualified" name="BottomBarNews" type="tns:BottomBarNews" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getDepartmentsRequestType">
        <xsd:all>
          <xsd:element form="unqualified" name="Token" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getDepartmentsResponseType">
        <xsd:all>
          <xsd:element form="unqualified" name="Departments" type="tns:Departments" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getAppConfigurationForDepartmentRequestType">
        <xsd:all>
          <xsd:element form="unqualified" name="Parameter" type="xsd:string" />
          <xsd:element form="unqualified" name="Token" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:complexType name="getAppConfigurationForDepartmentResponseType">
        <xsd:all>
          <xsd:element form="unqualified" name="Configuration" type="xsd:string" />
        </xsd:all>
      </xsd:complexType>
      <xsd:simpleType name="ScreenType">
        <xsd:restriction base="xsd:string">
          <xsd:enumeration value="MV" />
          <xsd:enumeration value="IMG" />
          <xsd:enumeration value="NEWS" />
          <xsd:enumeration value="PD" />
        </xsd:restriction>
      </xsd:simpleType>
      <xsd:element name="appNeedsUpdate" type="tns:appNeedsUpdateRequestType" />
      <xsd:element name="appNeedsUpdateResponse" type="tns:appNeedsUpdateResponseType" />
      <xsd:element name="appUpdaterNeedsUpdate" type="tns:appUpdaterNeedsUpdateRequestType" />
      <xsd:element name="appUpdaterNeedsUpdateResponse" type="tns:appUpdaterNeedsUpdateResponseType" />
      <xsd:element name="getImageFiles" type="tns:getImageFilesRequestType" />
      <xsd:element name="getImageFilesResponse" type="tns:getImageFilesResponseType" />
      <xsd:element name="getVideoFiles" type="tns:getVideoFilesRequestType" />
      <xsd:element name="getVideoFilesResponse" type="tns:getVideoFilesResponseType" />
      <xsd:element name="getFlashFiles" type="tns:getFlashFilesRequestType" />
      <xsd:element name="getFlashFilesResponse" type="tns:getFlashFilesResponseType" />
      <xsd:element name="getNews" type="tns:getNewsRequestType" />
      <xsd:element name="getNewsResponse" type="tns:getNewsResponseType" />
      <xsd:element name="getNewsDepartment" type="tns:getNewsDepartmentRequestType" />
      <xsd:element name="getNewsDepartmentResponse" type="tns:getNewsDepartmentResponseType" />
      <xsd:element name="getScreens" type="tns:getScreensRequestType" />
      <xsd:element name="getScreensResponse" type="tns:getScreensResponseType" />
      <xsd:element name="getAppConfiguration" type="tns:getAppConfigurationRequestType" />
      <xsd:element name="getAppConfigurationResponse" type="tns:getAppConfigurationResponseType" />
      <xsd:element name="getWeatherIcons" type="tns:getWeatherIconsRequestType" />
      <xsd:element name="getWeatherIconsResponse" type="tns:getWeatherIconsResponseType" />
      <xsd:element name="getCurrencies" type="tns:getCurrenciesRequestType" />
      <xsd:element name="getCurrenciesResponse" type="tns:getCurrenciesResponseType" />
      <xsd:element name="getCurrenciesConfigFile" type="tns:getCurrenciesConfigFileRequestType" />
      <xsd:element name="getCurrenciesConfigFileResponse" type="tns:getCurrenciesConfigFileResponseType" />
      <xsd:element name="getBottomBarNews" type="tns:getBottomBarNewsRequestType" />
      <xsd:element name="getBottomBarNewsResponse" type="tns:getBottomBarNewsResponseType" />
      <xsd:element name="getDepartments" type="tns:getDepartmentsRequestType" />
      <xsd:element name="getDepartmentsResponse" type="tns:getDepartmentsResponseType" />
      <xsd:element name="getAppConfigurationForDepartment" type="tns:getAppConfigurationForDepartmentRequestType" />
      <xsd:element name="getAppConfigurationForDepartmentResponse" type="tns:getAppConfigurationForDepartmentResponseType" />
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="appNeedsUpdateRequest">
    <wsdl:part name="parameters" element="tns:appNeedsUpdate" />
  </wsdl:message>
  <wsdl:message name="appNeedsUpdateResponse">
    <wsdl:part name="parameters" element="tns:appNeedsUpdateResponse" />
  </wsdl:message>
  <wsdl:message name="appUpdaterNeedsUpdateRequest">
    <wsdl:part name="parameters" element="tns:appUpdaterNeedsUpdate" />
  </wsdl:message>
  <wsdl:message name="appUpdaterNeedsUpdateResponse">
    <wsdl:part name="parameters" element="tns:appUpdaterNeedsUpdateResponse" />
  </wsdl:message>
  <wsdl:message name="getImageFilesRequest">
    <wsdl:part name="parameters" element="tns:getImageFiles" />
  </wsdl:message>
  <wsdl:message name="getImageFilesResponse">
    <wsdl:part name="parameters" element="tns:getImageFilesResponse" />
  </wsdl:message>
  <wsdl:message name="getVideoFilesRequest">
    <wsdl:part name="parameters" element="tns:getVideoFiles" />
  </wsdl:message>
  <wsdl:message name="getVideoFilesResponse">
    <wsdl:part name="parameters" element="tns:getVideoFilesResponse" />
  </wsdl:message>
  <wsdl:message name="getFlashFilesRequest">
    <wsdl:part name="parameters" element="tns:getFlashFiles" />
  </wsdl:message>
  <wsdl:message name="getFlashFilesResponse">
    <wsdl:part name="parameters" element="tns:getFlashFilesResponse" />
  </wsdl:message>
  <wsdl:message name="getNewsRequest">
    <wsdl:part name="parameters" element="tns:getNews" />
  </wsdl:message>
  <wsdl:message name="getNewsResponse">
    <wsdl:part name="parameters" element="tns:getNewsResponse" />
  </wsdl:message>
  <wsdl:message name="getNewsDepartmentRequest">
    <wsdl:part name="parameters" element="tns:getNewsDepartment" />
  </wsdl:message>
  <wsdl:message name="getNewsDepartmentResponse">
    <wsdl:part name="parameters" element="tns:getNewsDepartmentResponse" />
  </wsdl:message>
  <wsdl:message name="getScreensRequest">
    <wsdl:part name="parameters" element="tns:getScreens" />
  </wsdl:message>
  <wsdl:message name="getScreensResponse">
    <wsdl:part name="parameters" element="tns:getScreensResponse" />
  </wsdl:message>
  <wsdl:message name="getAppConfigurationRequest">
    <wsdl:part name="parameters" element="tns:getAppConfiguration" />
  </wsdl:message>
  <wsdl:message name="getAppConfigurationResponse">
    <wsdl:part name="parameters" element="tns:getAppConfigurationResponse" />
  </wsdl:message>
  <wsdl:message name="getWeatherIconsRequest">
    <wsdl:part name="parameters" element="tns:getWeatherIcons" />
  </wsdl:message>
  <wsdl:message name="getWeatherIconsResponse">
    <wsdl:part name="parameters" element="tns:getWeatherIconsResponse" />
  </wsdl:message>
  <wsdl:message name="getCurrenciesRequest">
    <wsdl:part name="parameters" element="tns:getCurrencies" />
  </wsdl:message>
  <wsdl:message name="getCurrenciesResponse">
    <wsdl:part name="parameters" element="tns:getCurrenciesResponse" />
  </wsdl:message>
  <wsdl:message name="getCurrenciesConfigFileRequest">
    <wsdl:part name="parameters" element="tns:getCurrenciesConfigFile" />
  </wsdl:message>
  <wsdl:message name="getCurrenciesConfigFileResponse">
    <wsdl:part name="parameters" element="tns:getCurrenciesConfigFileResponse" />
  </wsdl:message>
  <wsdl:message name="getBottomBarNewsRequest">
    <wsdl:part name="parameters" element="tns:getBottomBarNews" />
  </wsdl:message>
  <wsdl:message name="getBottomBarNewsResponse">
    <wsdl:part name="parameters" element="tns:getBottomBarNewsResponse" />
  </wsdl:message>
  <wsdl:message name="getDepartmentsRequest">
    <wsdl:part name="parameters" element="tns:getDepartments" />
  </wsdl:message>
  <wsdl:message name="getDepartmentsResponse">
    <wsdl:part name="parameters" element="tns:getDepartmentsResponse" />
  </wsdl:message>
  <wsdl:message name="getAppConfigurationForDepartmentRequest">
    <wsdl:part name="parameters" element="tns:getAppConfigurationForDepartment" />
  </wsdl:message>
  <wsdl:message name="getAppConfigurationForDepartmentResponse">
    <wsdl:part name="parameters" element="tns:getAppConfigurationForDepartmentResponse" />
  </wsdl:message>
  <wsdl:portType name="eBankTvIntegrationServicePortType">
    <wsdl:operation name="appNeedsUpdate">
      <documentation>N/A</documentation>
      <wsdl:input message="tns:appNeedsUpdateRequest" />
      <wsdl:output message="tns:appNeedsUpdateResponse" />
    </wsdl:operation>
    <wsdl:operation name="appUpdaterNeedsUpdate">
      <documentation>N/A</documentation>
      <wsdl:input message="tns:appUpdaterNeedsUpdateRequest" />
      <wsdl:output message="tns:appUpdaterNeedsUpdateResponse" />
    </wsdl:operation>
    <wsdl:operation name="getImageFiles">
      <documentation>N/A</documentation>
      <wsdl:input message="tns:getImageFilesRequest" />
      <wsdl:output message="tns:getImageFilesResponse" />
    </wsdl:operation>
    <wsdl:operation name="getVideoFiles">
      <documentation>N/A</documentation>
      <wsdl:input message="tns:getVideoFilesRequest" />
      <wsdl:output message="tns:getVideoFilesResponse" />
    </wsdl:operation>
    <wsdl:operation name="getFlashFiles">
      <documentation>N/A</documentation>
      <wsdl:input message="tns:getFlashFilesRequest" />
      <wsdl:output message="tns:getFlashFilesResponse" />
    </wsdl:operation>
    <wsdl:operation name="getNews">
      <documentation>N/A</documentation>
      <wsdl:input message="tns:getNewsRequest" />
      <wsdl:output message="tns:getNewsResponse" />
    </wsdl:operation>
    <wsdl:operation name="getNewsDepartment">
      <documentation>N/A</documentation>
      <wsdl:input message="tns:getNewsDepartmentRequest" />
      <wsdl:output message="tns:getNewsDepartmentResponse" />
    </wsdl:operation>
    <wsdl:operation name="getScreens">
      <documentation>N/A</documentation>
      <wsdl:input message="tns:getScreensRequest" />
      <wsdl:output message="tns:getScreensResponse" />
    </wsdl:operation>
    <wsdl:operation name="getAppConfiguration">
      <documentation>N/A</documentation>
      <wsdl:input message="tns:getAppConfigurationRequest" />
      <wsdl:output message="tns:getAppConfigurationResponse" />
    </wsdl:operation>
    <wsdl:operation name="getWeatherIcons">
      <documentation>N/A</documentation>
      <wsdl:input message="tns:getWeatherIconsRequest" />
      <wsdl:output message="tns:getWeatherIconsResponse" />
    </wsdl:operation>
    <wsdl:operation name="getCurrencies">
      <documentation>N/A</documentation>
      <wsdl:input message="tns:getCurrenciesRequest" />
      <wsdl:output message="tns:getCurrenciesResponse" />
    </wsdl:operation>
    <wsdl:operation name="getCurrenciesConfigFile">
      <documentation>N/A</documentation>
      <wsdl:input message="tns:getCurrenciesConfigFileRequest" />
      <wsdl:output message="tns:getCurrenciesConfigFileResponse" />
    </wsdl:operation>
    <wsdl:operation name="getBottomBarNews">
      <documentation>N/A</documentation>
      <wsdl:input message="tns:getBottomBarNewsRequest" />
      <wsdl:output message="tns:getBottomBarNewsResponse" />
    </wsdl:operation>
    <wsdl:operation name="getDepartments">
      <documentation>N/A</documentation>
      <wsdl:input message="tns:getDepartmentsRequest" />
      <wsdl:output message="tns:getDepartmentsResponse" />
    </wsdl:operation>
    <wsdl:operation name="getAppConfigurationForDepartment">
      <documentation>N/A</documentation>
      <wsdl:input message="tns:getAppConfigurationForDepartmentRequest" />
      <wsdl:output message="tns:getAppConfigurationForDepartmentResponse" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="eBankTvIntegrationServiceBinding" type="tns:eBankTvIntegrationServicePortType">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="appNeedsUpdate">
      <soap:operation soapAction="http://www.bskoronowo.com.pl/service/service.php#appNeedsUpdate" style="document" />
      <wsdl:input>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="appUpdaterNeedsUpdate">
      <soap:operation soapAction="http://www.bskoronowo.com.pl/service/service.php#appUpdaterNeedsUpdate" style="document" />
      <wsdl:input>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getImageFiles">
      <soap:operation soapAction="http://www.bskoronowo.com.pl/service/service.php#getImageFiles" style="document" />
      <wsdl:input>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getVideoFiles">
      <soap:operation soapAction="http://www.bskoronowo.com.pl/service/service.php#getVideoFiles" style="document" />
      <wsdl:input>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getFlashFiles">
      <soap:operation soapAction="http://www.bskoronowo.com.pl/service/service.php#getFlashFiles" style="document" />
      <wsdl:input>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getNews">
      <soap:operation soapAction="http://www.bskoronowo.com.pl/service/service.php#getNews" style="document" />
      <wsdl:input>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getNewsDepartment">
      <soap:operation soapAction="http://www.bskoronowo.com.pl/service/service.php#getNewsDepartment" style="document" />
      <wsdl:input>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getScreens">
      <soap:operation soapAction="http://www.bskoronowo.com.pl/service/service.php#getScreens" style="document" />
      <wsdl:input>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getAppConfiguration">
      <soap:operation soapAction="http://www.bskoronowo.com.pl/service/service.php#getAppConfiguration" style="document" />
      <wsdl:input>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getWeatherIcons">
      <soap:operation soapAction="http://www.bskoronowo.com.pl/service/service.php#getWeatherIcons" style="document" />
      <wsdl:input>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getCurrencies">
      <soap:operation soapAction="http://www.bskoronowo.com.pl/service/service.php#getCurrencies" style="document" />
      <wsdl:input>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getCurrenciesConfigFile">
      <soap:operation soapAction="http://www.bskoronowo.com.pl/service/service.php#getCurrenciesConfigFile" style="document" />
      <wsdl:input>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getBottomBarNews">
      <soap:operation soapAction="http://www.bskoronowo.com.pl/service/service.php#getBottomBarNews" style="document" />
      <wsdl:input>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getDepartments">
      <soap:operation soapAction="http://www.bskoronowo.com.pl/service/service.php#getDepartments" style="document" />
      <wsdl:input>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getAppConfigurationForDepartment">
      <soap:operation soapAction="http://www.bskoronowo.com.pl/service/service.php#getAppConfigurationForDepartment" style="document" />
      <wsdl:input>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" namespace="http://www.bskoronowo.com.pl/eBankTvIntegrationService/" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="eBankTvIntegrationService">
    <wsdl:port name="eBankTvIntegrationServicePort" binding="tns:eBankTvIntegrationServiceBinding">
      <soap:address location="http://www.bskoronowo.com.pl/service/service.php" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>